Last modified: 2012-08-04 20:48:39 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17332 - quote mark unprocessed in DatabasePostgres.php
quote mark unprocessed in DatabasePostgres.php
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.13.x
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2009-02-03 02:04 UTC by Yau
Modified: 2012-08-04 20:48 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Yau 2009-02-03 02:04:14 UTC
In includes\db\DatabasePostgres.php file line 1235.

==============================================================
$ctype = pg_fetch_result($this->doQuery("SHOW lc_ctype"),0,0);

$SQL = "UPDATE mediawiki_version SET mw_version=$mwv, "
        ."pg_version=$pgv, pg_user=$pgu, "
        ."mw_schema = $mws, ts2_schema = $tss, "
        ."pg_port=$pgp, pg_dbname=$dbn, "
	."ctype = '$ctype' "
	."WHERE type = 'Creation'";
$this->query($SQL);

==============================================================
When the command "SHOW lc_ctype" returns a string include "'" symbol, 
for example: "Chinese_People's Republic of China.936", the sql failed, because the "'" symbol was not escaped.
Comment 1 Alexandre Emsenhuber [IAlex] 2009-02-24 17:44:06 UTC
This was fixed in r46889.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links